/*
 *  Copyright (C) 2008  Thadeu Lima de Souza Cascardo <cascardo@holoscopio.com>
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License along
 *  with this program; if not, write to the Free Software Foundation, Inc.,
 *  51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
 */


#ifndef ATOMPUB_FRONTEND_H
#define ATOMPUB_FRONTEND_H

#include <atompub/ctx.h>
#include <atompub/entry.h>
#include <atompub/feed.h>

typedef struct _atom_frontend AtomFrontend;

AtomFrontend *atom_frontend_new (void);
void atom_frontend_delete (AtomFrontend *);
void atom_frontend_map_entries_set (AtomFrontend *,
				    void (AtomCtx *, char **,
					  AtomEntry **, size_t));
void atom_frontend_is_feed_set (AtomFrontend *, int (AtomCtx *, char *));
void atom_frontend_get_request_set (AtomFrontend *,
				    AtomRequest * (AtomCtx *));
void atom_frontend_handle_error_set (AtomFrontend *,
				     void (AtomCtx *));
void atom_frontend_handle_entry_set (AtomFrontend *,
				     void (AtomCtx *, AtomEntry *));
void atom_frontend_handle_feed_set (AtomFrontend *,
				    void (AtomCtx *, AtomFeed *));
void atom_map_entries (AtomCtx *, char **, AtomEntry **, size_t);
int atom_is_feed (AtomCtx *, char *);
AtomRequest * atom_get_request (AtomCtx *);
void atom_handle_error (AtomCtx *);
void atom_handle_entry (AtomCtx *, AtomEntry *);
void atom_handle_feed (AtomCtx *, AtomFeed *);
AtomFrontend * atom_frontend (AtomCtx *);
void atom_frontend_set (AtomCtx *, AtomFrontend *);

#endif
