/*
 *  Copyright (C) 2007  Thadeu Lima de Souza Cascardo <cascardo@holoscopio.com>
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License along
 *  with this program; if not, write to the Free Software Foundation, Inc.,
 *  51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
 */


#include <glib-object.h>

#include <atompub/atom.h>

#include <stdlib.h>

extern void cgi_serve_request (AtomCtx *ctx);
extern AtomBackend * gio_backend (void);
extern AtomFrontend * cgi_frontend (void);

int
main (int argc, char **argv)
{
  AtomCtx *ctx;
  IRI *iri;
  AtomError *error;
  g_type_init ();
  ctx = atom_ctx_new ();
  atom_config_init (ctx);
  atom_backend_set (ctx, gio_backend ());
  atom_frontend_set (ctx, cgi_frontend ());
  if ((error = atom_error_get (ctx)) != NULL)
    {
      g_message ("%s\n", atom_error_message (error));
      exit (1);
    }
  atom_backend_enumerate_entries (ctx, NULL, NULL, NULL);
  cgi_serve_request (ctx);
  atom_ctx_delete (ctx);
  return 0;
}
